Subject: Re: AMD Flash Interface for updating boot flash

From: "Chuck Partridge" <[email-masked]>
Date: Wed, 26 Jun 2002 15:23:19 -0500

Where do you set this up? If I want to use partitions, where do I put the info on how it is partitioned?

I modified the kernel .config and it gives me the following startup messages:

physmap flash device: 80000 at fff00000
CFI: Found no Physically mapped flash device at location zero

I'll check out the MTD list.

Chuck
>>> <[email-masked]> 06/26/02 02:49PM >>>
I agree that MTD is the way to go, but with one small change to Michael's
instructions.

configure MTD for  char driver support, and do
dd if=bootloader of=/dev/mtd0

/dev/mtd0 is a raw char device that is best to write a binary boot image
to flash,
/dev/mtdblock0 is a block device that is best for file system images,
which can then be mounted.

You can get expert advice from the MTD list:

http://lists.infradead.org/mailman/listinfo/linux-mtd/

Jan

"Michael Meriin" <[email-masked]>
Sent by: [email-masked]
06/26/2002 12:17 PM

        To:     "Chuck Partridge" <[email-masked]>,
<[email-masked]>
        cc:
        Subject:        Re: AMD Flash Interface for updating boot flash

Just define your flash as a MTD device and then, from user space use dd
command to copy your bootloader to flash:

dd if=bootloader of=/dev/mtdblock0

Best Regards,
                     Michael Meriin

----- Original Message -----
From: "Chuck Partridge" <[email-masked]>
To: <[email-masked]>
Sent: Wednesday, June 26, 2002 17:09
Subject: AMD Flash Interface for updating boot flash

>
> Hello all,
>
> I have been searching the archives and I am a bit confused, so bear with
me if this is too simple a question.
>
> I need to provide a way to update my boot flash from user space.
> Our user application will download an boot flash image and save it (to a
file or a buffer), we must then write the flash.
> I have seen references in the archives to Denx's
drivers/char/amd_flash.c
and to MTD drivers, or I can
> implement my own driver, but I'm not sure of the best (i.e. easiest and
cleanest) way.
>
> I don't need to put a file system on the flash.  All it does is hold the
PPCBoot image.  The flash part is an AMD
> 29LV004B and is setup for 8 bit interface.  I am running a 2.4.17 kernel
on an 8245.
> Any suggestions?
> Thanks,
> Chuck

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/